Bug 1319271 - auth.allow and auth.reject not working host mentioned with hostnames/FQDN [NEEDINFO]
Summary: auth.allow and auth.reject not working host mentioned with hostnames/FQDN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: protocol
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Rochelle
URL:
Whiteboard: rebase
Depends On: 1546991
Blocks: RHGS-3.4-GSS-proposed-tracker 1503135
TreeView+ depends on / blocked
 
Reported: 2016-03-18 16:35 UTC by SATHEESARAN
Modified: 2018-09-12 06:59 UTC (History)
15 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Bug Fix
Doc Text:
Previously, auth.allow or auth.reject options did not accept hostnames as values when provided with FQDN. However, with this fix, these options now accept hostnames when provided with FQDN.
Clone Of:
: 1321578 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:27:31 UTC
srmukher: needinfo? (moagrawa)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:29:17 UTC

Description SATHEESARAN 2016-03-18 16:35:58 UTC
Description of problem:
-----------------------
auth.allow and auth.reject not taking in values of hostnames when mentioned with FQDNs, but works with IPv4

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHGS 3.1

How reproducible:
-----------------
Always

Steps to Reproduce:
--------------------
1. Set auth.allow or auth.reject with FQDN

Actual results:
---------------
auth.allow or auth.reject doesn't work with the hostnames when provided with FQDN 

Expected results:
-----------------
auth.allow or auth.reject should accept/respect the hostnames when provided with FQDN

Comment 4 Atin Mukherjee 2017-04-10 05:43:42 UTC
upstream patch : https://review.gluster.org/15086

Comment 12 errata-xmlrpc 2018-09-04 06:27:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.